.post-title {
    font-size: 32px;
    font-weight: 500;
    margin-bottom: 20px;
    text-align: center;
}

.post-date {
    font-size: 18px;
    text-align: center;
    color: rgba(255, 255, 255, 0.8);
}

.post-container {
    padding: 32px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.2);
}

.sidebar {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.sidebar-widget {
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.2);
    padding: 32px;
}

.sidebar-title {
    margin-bottom: 16px;
}

@media (max-width: 768px) {
    .post-title {
        font-size: 24px;
    }

    .post-container,
    .sidebar-widget {
        padding: 16px;
    }
}

.post-thumbnail {
    overflow: hidden;
    aspect-ratio: 16 / 9;
    margin-bottom: 32px;
    border-radius: 8px;
}

.post-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.post-content h1 {
    font-size: 28px;
    font-weight: 500;
}

.post-content h2 {
    font-size: 24px;
    font-weight: 500;
}

.post-content p {
    text-align: justify;
}

.post-content a {
    color: var(--primary-color);
}

.post-content a:hover {
    color: var(--secondary-color);
}


/* Related Posts */

.related-posts-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.related-post-card {
    display: flex;
    align-items: center;
    gap: 16px;
    text-decoration: none;
    color: #fff;
}

.related-post-card .related-post-thumbnail {
    aspect-ratio: 16 / 9;
    border-radius: 8px;
    overflow: hidden;
    flex-shrink: 0;
    width: 100px;
}

.related-post-card .related-post-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.related-post-card .related-post-info {
    flex-grow: 1;
}

.related-post-card .related-post-date {
    font-size: 12px;
    opacity: 0.8;
    margin-bottom: 0;
}

.related-post-card .related-post-title {
    font-size: 14px;
    font-weight: 500;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 0;
}

.related-post-card:hover .related-post-title {
    text-decoration: underline;
}

/* share */

.share-container {
    display: flex;
    gap: 32px;
}

.share-container a {
    text-decoration: none;
    color: #fff;
}

.share-container a:hover {
    opacity: 0.8;
}

.share-container svg {
    width: 24px;
    height: 24px;
}

.copy-link {
    cursor: pointer;
}


.post-content img {
    margin-top: 16px;
    max-height: 500px;
    max-width: 100%;
    width: auto;
    height: auto;
}

.attachment a {
    pointer-events: none;
    cursor: default;
    text-decoration: none;
}

.attachment__caption {
    margin-top: 8px;
    font-size: 14px;
    color: rgba(255, 255, 255, 0.8);
}

.attachment__name,
.attachment__size {
    display: none;
}